Page MenuHome

smoke sim glitch in solidmode
Closed, ResolvedPublicBUG

Description

System Information
Operating system: Windows-7-6.1.7601-SP1 64 Bits
Graphics card: GeForce GTX 970/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 436.30

Blender Version
Broken: version: 2.81 (sub 14), branch: master, commit date: 2019-10-09 07:42, hash: rB40a55be82cf5
Worked: (optional)

Short description of error
smoke sim with adaptive domain is sliding around in solid mode
see video for better explanation and showoff

domain is parented to a empty wich follows a curve per constraint
i tryed baking the constraint movement to an action and disable the constraint... this didnt help

Exact steps for others to reproduce the error
open the blend and just press play and see the error until frame 300

BLENDF FILE:

sry for my english... :)

thx & have a nice day

Event Timeline

Tobias Lijsen (blenderhilfe) renamed this task from eevee smoke sim glitch to smoke sim glitch in solidmode.Oct 9 2019, 6:07 PM
Tobias Lijsen (blenderhilfe) updated the task description. (Show Details)
Germano Cavalcante (mano-wii) lowered the priority of this task from 90 to 50.

I can confirm.
The problem is only seen in Workbench.
Cycles and Eevee work well.

ive tested this further, and found more problems with moving (especially rotating) domains
also in eevee there is a problem - if the domain is ROTATING in the animation
in 2.7 this was not a problem as far as i remember

open this blend file and press play

you see 2 problems:
1.) the simulation is somehow rotating with the domain... this should not happen if "adaptive domain" is enabled
2.) on playback, the sim-frames gets added on top of any frames before - until you press stop... then just the "active" frame ist drawn again

question to problem #1 - is it allowed to rotate adaptive domains? as i remember in 2.7 and before this worked just fine
thx & have a great day

maybe this helps to nail it

in this blend i worked around all (!!!) the errors... by leaving out rotation (see contraint in blend)
now it is clear: its definitly a rotation problem with adaptive domains
is this by design - or is it a error?

never before ive got this problem with adaptive domains...

NOW THE CONCLUSION: if we dont be able to rotate the adaptive domain with the flow... the cache gets to over 200 GB instead of 15 GB.... totaly not usable!

and for workarounds it looks like this:
in eevee particle info and point density is not implemented... so i have to go with good old alpha-plane-particles for my smoke... but wait... we dont have billboards functioning in cycles and eevee.
so mmmm crap... nothing works really

i understand that the new smoke/fluid system is coming and nobody wants to waste time on fixing the "old" smoke-system... but
can someone maybe fix the billboard-particles-funktion & particle-info-nodes for eevee???
so at least we can have alpha particles that look to the camera and fade out properly in eevee?

i try to find a solution for over a week now... i think i have to leave this tutorial from my new 2.8 tutorial series... no smoke for my steam train.... didnt expect THAT mass of problems :(

thank you anyways devs ;) 2.8 is overall great... but if i dig deeper... many bugs.
but ok, 2.8 is a new software overall, i understand this :)
thx & have a great day

Hi @Tobias Lijsen (blenderhilfe)!

That is totally not the case; drawing and simulating are two separate things. I am happy to look at this issue and find a solution for it.

I made the scene simpler so it is easier for developers to debug.

To reproduce:

  • Domain needs to be rotated and adaptive.

As you see the smoke will be rendered correctly when the adaptive domain reaches the size of the simulation domain. Also notice the cube that is showing the voxel size. It just seems to work reversed.

Can confirm this drawing issue in the fluid-mantaflow branch too.

After researching it seems to be that the workbench_volume_frag does not take into account rotation/offset of the texture.

@Clément Foucault (fclem) can you have a look at this?

Clément Foucault (fclem) raised the priority of this task from 50 to High.Oct 16 2019, 9:26 PM

Hello all, FYI I managed to get the problem with the 29th Sept build in a completely static domain, will try to find the blend file to send to this thread.

Mark Spink (marks) added a comment.EditedOct 17 2019, 6:21 AM

Typically: when I re-baked the old scene I couldn't see anything much wrong- until I removed the 2 Turbulence fields I was using to make the smoke look interesting, after which I was rewarded with an absolute corker of an example of the issue (TC 06:21 to 06:22)-

https://www.youtube.com/watch?v=OWt1Yp9IrRc&feature=youtu.be

You can also see something suspicious happening at TC 00:17 to 00:18 from the overhead camera.

Here's the scene file-

Something I have noticed, don't know if it's related but- adaptive domain doesn't seem to give a toss about the domain size & position once baked: i.e. in the attached scene the bottom of the domain goes way below where the domain was originally defined, and had it's scale applied, before baking.
Like so-
pre-bake

post-bake

Also I've noticed when baking the noise, there seem to be instances of 2-3 frames baking way faster than the rest (observed while watching the timeline play head whilst baking), I couldn't swear to it, but I think it's around when the twitches occur.
Additionally the twitch coincides with the time the wee box in the bottom corner of the domain moves in x,y,or z, which doesn't happen without adaptive domain being enabled.

Here's my current system info-
System Information
Operating system: Windows-10-10.0.18362 64 Bits
Graphics card: GeForce GTX 1070 Ti/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 436.48

Blender Version
Broken: version: 2.81 (sub 12), branch: fluid-mantaflow, commit date: 2019-09-27 09:45, hash: rB114783000d0b

IMHO my issue is totally to do with adaptive domain, not with the domain being moved. I've never used a non-static domain so far (nice idea though, shall do in future!).

Cheers!
Mark

Hi @Mark Spink (marks)
Sorry for the confusion, but your ticket was marked as a duplicate of this task, but seems to be addressing two totally different issues.
Could you add your feedback to your original ticket?

Thanks

Have copied my above to the original task as requested.

thank you!
but its not totally fixed... now we have another problem!

i made a new bug report for this - https://developer.blender.org/T70943